using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Repository.MySql;
using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Api.IRepository
{
    public interface IPubVerifyCodeRepository : IBaseRepositoryToASHermed_SinoInterface<Pub_Verify_Code_Log>
    {
        int InsertPubVerifyCode(Pub_Verify_Code_Log pubVerifyCodeLog);
        PubVerifyCodeLogModel CheckCode(string acc, string code);
        List<Pub_Verify_Code_Log> FindByIp(string ip);

        List<Pub_Verify_Code_Log> FindByAcc(string acc);
    }
}
